Create Workspace Invitation
curl --request POST \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]"
}
'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations"
payload = { "email": "[email protected]" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]'})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"workspaceId": "<string>",
"type": "ADMIN"
},
"member": {
"userId": "<string>",
"workspaceId": "<string>",
"role": "ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}Invitations
Create Workspace Invitation
Create a workspace invitation.
POST
/
v3
/
workspaces
/
{workspaceId}
/
invitations
Create Workspace Invitation
curl --request POST \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]"
}
'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations"
payload = { "email": "[email protected]" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]'})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitation": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"workspaceId": "<string>",
"type": "ADMIN"
},
"member": {
"userId": "<string>",
"workspaceId": "<string>",
"role": "ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json